%define api_version 1.6
%define pkg_name geronimo-j2ee-connector_%{api_version}_spec

Name:          geronimo-j2ee-connector-1_6-api
Version:       1.0
Release:       %mkrel 4
Summary:       J2EE Connector 1.6
License:       Apache Software License 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
Source0:       http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{name}_%{version}_spec/%{version}/%{pkg_name}-%{version}-source-release.tar.gz
Patch0:        geronimo-j2ee-connector-1_6-api-1.0-use_parent_pom.patch
BuildRequires: geronimo-jta
BuildRequires: geronimo-parent-poms
BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
Requires:      geronimo-jta
Requires:      jpackage-utils
BuildArch:     noarch

%description
Geronimo Java 2 Connector Architecture API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo J2EE Connector 1.6 API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}
iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv && mv -f LICENSE.conv LICENSE
sed -i 's/\r//' LICENSE
%patch0 -p0
%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc


%changelog
* Thu Dec 19 2013 dmorgan <dmorgan> 1.0-4.mga4
+ Revision: 558813
- Build with xmvn

  + luigiwalser <luigiwalser>
    - BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 351440
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 dmorgan <dmorgan> 1.0-1.mga3
+ Revision: 338600
- Build with Maven3

* Fri Aug 12 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 132818
- Clean spec file

  + gil <gil>
    - imported package geronimo-j2ee-connector-1_6-api



* Fri Jun 10 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm